#include <stdio.h>
#include <sys/stat.h>
#include <unistd.h>

// Sparsely synchronise the first file over the second file.
// Copyright (c) Ewan Parker 2007, 2010, 2013.
// $Id: syncutl.c,v 1.3 2013/09/14 21:01:43 root Exp $
// Utilities.

#include "syncutl.h"

int stat_file(char *file_name, struct stat *file_stat) {
   int rc = 0;
   if (stat(file_name, file_stat))
      fprintf(stderr, "Cannot access file %s.\n", file_name);
   else
      rc = 1;
   return rc;
}
